LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XToolPanel Interface Reference

describes the basic interface to be implemented by a tool panel More...

`import"XToolPanel.idl";`

## Public Member Functions
::com::sun::star::accessibility::XAccessible | createAccessible ([in] ::com::sun::star::accessibility::XAccessible ParentAccessible)
| creates the root of the Accessibility object tree for the tool panel More...

## Public Attributes
::com::sun::star::awt::XWindow | Window
| provides access to the tool panel's main window. More...

## Detailed Description

describes the basic interface to be implemented by a tool panel

## Member Function Documentation

## ◆ createAccessible()

::com::sun::star::accessibility::XAccessible createAccessible | ( | [in] ::com::sun::star::accessibility::XAccessible | ParentAccessible | ) |

creates the root of the Accessibility object tree for the tool panel

Parameters

  ParentAccessible | the parent object in the Accessibility object tree

## Member Data Documentation

## ◆ Window

::com::sun::star::awt::XWindow Window
| attribute readonly

provides access to the tool panel's main window.

It is allowed for an implementation to return `NULL` here, but in this case some functionality, for instance automatic positioning of the tool panel, might not be available, and must be implemented by the tool panel itself.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XToolPanel.idl